var isLoading=false;
var lastSubject="";
function callback(isEnd,subject){
	var html=window.JYTouch.getHtmlData();
	if(isEnd!='undefined'&&isEnd){
		isHasMore=false;
	}
	if(lastSubject!=subject){
		getFavorContainer(lastSubject).hide();
		lastSubject=subject;
	}
	var container=getFavorContainer(subject);
	container.append(html);
	container.show();
	
	$("#loading").hide();
	isLoading=false;
	adjustFirstStyle(subject);
	$(".line").show();
	window.JYTouch.jsCallback();
}


function clear(){
	$(".line").css("margin-top",20);
	$("#HistoryList").html("");
	$(".line").hide();
}

function delFavor(id,isScrollTop,subject){
	if(isScrollTop){
		$(".line").css("margin-top",20);
	}
	alert("delFavor");
	$(".history-item[data-id='"+id+"']").remove();
	adjustFirstStyle(subject);
	adjustFirstStyle("");
	window.JYTouch.onDataChanged(id);
}

function addFavor(id,content,option,subjectId,subjectName){
	var html=fillHtml(id,content,option,subjectId,subjectName);
	var first=$(".history-item:first");
	if(first.length>0){
		$(html).insertBefore(first);
	}else{
		$("#HistoryList").append(html);
	}
	adjustFirstStyle(subjectName);
	adjustFirstStyle("");
	window.JYTouch.onDataChanged(id);
}

function fillHtml(id,content,option,subjectId,subjectName){
	return '<div class="history-item" data-id="'+id+'" data-sid="'+subjectId+'" onclick="showDetail(this);">'+
				'<div class="history-content">'+
					'<div class="history-container" data-type="first">'+
						'<div class="subject"  data-subject="'+subjectName+'" data-type="first"></div>'+
						'<hr/>'+
						'<div class="question_new history-question">'+
							content+
							option+
							'<div class="result-clear" style=""></div>'+
						'</div>'+
					'</div>'+
				'</div>'+
			'</div>';
}


function showDetail(obj){
	window.JYTouch.showDetail(parseInt(obj.getAttribute("data-sid")),obj.getAttribute("data-id"));
}


function loadNextData(){
	
	window.JYTouch.loadNextFavorite();
}

/**
 * 调整第一个item的样式
 */
function adjustFirstStyle(subject){
	// var container=getFavorContainer(subject);
	// var all=container.find(".history-item");
	// all.find(".history-start").attr("data-type","");
	// all.find(".subject").attr("data-type","");
	// all.find(".history-container").attr("data-type","");
	
	// var first=all.first();
	// first.find(".history-start").attr("data-type","first");
	// first.find(".subject").attr("data-type","first");
	// first.find(".history-container").attr("data-type","first");
}
/**
 * 获取学科容器
 * @param subject
 * @returns
 */
function getFavorContainer(subject){
	var container;
	if('math'==subject){
		container=$("#MathList");
	}else if('phy'==subject){
		container=$("#PhyList");
	}else if('chem'==subject){
		container=$("#ChemList");
	}else if('bio'==subject){
		container=$("#BioList");
	}else if('geo'==subject){
		container=$("#GeoList");
	}else if('wri'==subject){
		container=$("#WriList");
	}else if('eng'==subject){
        container=$("#EngList");
    }else if('his'==subject){
        container=$("HisList");
    }else if('pol'==subject){
        container=$("PolList");
    }else if('chin'==subject){
		container=$("#ChinList");
    }else {
		container=$("#HistoryList");
	}
	return container;
}


/**
 * 切换学科
 * @param subject
 * @returns
 */
function changeSubject(subject){
	var line=$("#line-container");
	line.hide();
	$("#HistoryList,#MathList,#PhyList,#ChemList,#BioList,#GeoList,#WriList,#EngList,#HisList,#PolList,#ChinList").hide();
	var container=getFavorContainer(subject);
	container.show();
	$("html,body").animate({scrollTop:0});
	$(".line").css("margin-top",20);
	line.show();
	adjustFirstStyle(subject);
	window.JYTouch.jsCallback();
}
function hideAll(){
	//var line=$("#line-container");
	//line.hide();
	$("#HistoryList,#MathList,#PhyList,#ChemList,#BioList,#GeoList,#WriList,#EngList,#HisList,#PolList,#ChinList").hide();
}
function callJava(){
	window.JYTouch.jsCallback();
}

$(function(){	
	$(window).scroll(function(){
		var offset=$(window).scrollTop();
		if(offset>0){
			if(offset<=20){
				$(".line").css("margin-top",(20-offset-1));
			}else{
				$(".line").css("margin-top",0);
			}	
		}else{
			$(".line").css("margin-top",20);
		}
		
		
		
		var scrollTop = $(this).scrollTop();
　　		var scrollHeight = $(document).height();
　　		var windowHeight = $(this).height();
　　		if(scrollTop + windowHeight >= scrollHeight-150){
			loadNextData();
　　		}
	});
});